#include <string>

class Node {
    private:
        std::string key = "";
        Node * left_child = NULL;
        Node * right_child = NULL;
    public:
        Node(std::string key);
        std::string get_key();
        Node * get_left_child();
        Node * get_right_child();
        void insert(std::string key);
};
